
<div class="container">  
  
  <mat-card>  
    <mat-toolbar color="accent">  
      <div align="center" style="color:white;text-align: right;">  
        User Creation
      </div>    
    </mat-toolbar>  
  <br><br>  
    <mat-card-content>  
      <form [formGroup]="userForm"(ngSubmit)="onFormSubmit(userForm.value)">  
              <table>  
                <tr>  
                  <td class="tbl1">  
                    <mat-form-field class="demo-full-width">  
                      <input formControlName="Username" matTooltip="Enter User Name" matInput placeholder="User Name">  
                    </mat-form-field>  
                    <mat-error>  
                      <span *ngIf="!userForm.get('Username').value && userForm.get('Username').touched"></span>  
                    </mat-error>  
                  </td>  
                  <td class="tbl1">  
                    <mat-form-field class="demo-full-width">  
                      <input formControlName="Address" matTooltip="Enter Address" matInput placeholder="Address">  
                    </mat-form-field>  
                    <mat-error>  
                      <span *ngIf="!userForm.get('Address').value && userForm.get('Address').touched"></span>  
                    </mat-error>  
                  </td>  
                  <td class="tbl1">  
                    <mat-form-field class="demo-full-width">  
                      <input formControlName="Email" matTooltip="Enter EmailId" matInput placeholder="Email">  
                    </mat-form-field>  
                    <mat-error>  
                      <span *ngIf="!userForm.get('Email').value && userForm.get('Email').touched"></span>  
                    </mat-error>  
                  </td>  
                </tr>  
                <tr>  
                  <td class="tbl1">  
                    <mat-form-field class="demo-full-width">  
                      <input formControlName="Phone1" matTooltip="Enter EmailId" matInput placeholder="Phone 1">  
                    </mat-form-field>  
                    <mat-error>  
                      <span *ngIf="!userForm.get('Phone1').value && userForm.get('Phone1').touched"></span>  
                    </mat-error>  
                  </td>  
                  <td class="tbl1">  
                    <mat-form-field class="demo-full-width">  
                      <input matTooltip="Enter State"formControlName="State" matInput placeholder="State">  
                    </mat-form-field>  
                    <mat-error>  
                      <span *ngIf="!userForm.get('State').value && userForm.get('State').touched"></span>  
                    </mat-error>  
                  </td>  
                  <td class="tbl1">  
                    <mat-form-field class="demo-full-width">  
                      <input matTooltip="Enter City"formControlName="City" matInput placeholder="City">  
                    </mat-form-field>  
                    <mat-error>  
                      <span *ngIf="!userForm.get('City').value && userForm.get('City').touched"></span>  
                    </mat-error>  
                  </td>  
                  <td class="tbl1">  
                    <mat-form-field class="demo-full-width">  
                      <input formControlName="Pincode" matTooltip="Enter Pine Code" matInput placeholder="Pincode">  
                    </mat-form-field>  
                    <mat-error>  
                      <span *ngIf="!userForm.get('Pincode').value && userForm.get('Pincode').touched"></span>  
                    </mat-error>  
                  </td>  
                </tr>  
                <tr>  
                  <td></td>  
                  <td  class="content-center">  
                    <button type="submit" mat-raised-button color="accent"matTooltip="Click Submit Button"[disabled]="!userForm.valid">Submit</button>      
                    <button type="reset" mat-raised-button color="accent"matTooltip="Click Reset Button" (click)="resetForm()">Reset</button>  
                  </td>  
                  <td>  
                    <p *ngIf="dataSaved" style="color:rgb(0, 128, 0);font-size:20px;font-weight:bold" Class="success" align="left">  
                      {{massage}}  
                    </p>  
                  </td>  
                </tr>  
              </table>  
  <br><br>  
        <table class="table" >  
            <tr ngclass="btn-primary">  
              <th class="tbl2">User Name</th>  
              <th class="tbl2">Address</th>  
              <th class="tbl2">Email Id</th>  
              <th class="tbl2">State</th>  
              <th class="tbl2">City</th>  
              <th class="tbl2">Phone 1</th>  
              <th class="tbl2">Pine Code</th>  
              <th class="tbl2">Edit</th>  
              <th class="tbl2">Delete</th>  
            </tr>  
            <tr *ngFor="let users of AllUsers | async">  
              <td class="tbl2">{{users.Name}}</td>  
              <td class="tbl2">{{users.Address}}</td>  
              <td class="tbl2">{{users.Email}}</td>  
              <td class="tbl2">{{users.State}}</td> 
              <td class="tbl2">{{users.City}}</td>  
              <td class="tbl2">{{users.Phone1}}</td>  
              <td class="tbl2">{{users.Pincode}}</td>  
              <td class="tbl2">  
                <button type="button" class="btn btn-info"matTooltip="Click Edit Button"(click)="loadUserToEdit(users.Id)">Edit</button>  
              </td>  
              <td class="tbl2">  
                <button type="button" class="btn btn-danger"matTooltip="Click Delete Button"(click)="deleteUser(users.Id)">Delete</button>  
              </td>  
            </tr>  
    
          </table>  
      </form>  
    </mat-card-content>  
  </mat-card>  
  </div> 